import { j as e } from "./ui-components-library39.js";
import { useRef as b } from "react";
import u, { colorRegex as y } from "./ui-components-library257.js";
import { clsx as l } from "./ui-components-library47.js";
import { cn as g, isUndefined as j } from "./ui-components-library41.js";
const I = (m) => {
  const { title: a, party: i, subtitle: o, className: d, ...c } = m, { rightSided: t, variant: r, line: x, Icon: f, isLast: p, state: s } = c, n = b(null);
  return /* @__PURE__ */ e.jsxs(
    "div",
    {
      className: g(
        "relative flex opacity-100",
        t ? "justify-start" : "justify-end",
        {
          "opacity-50": s === "disabled",
          "animate-loading": s === "loading"
        },
        d
      ),
      "aria-label": `Timeline item: ${a}`,
      role: "listitem",
      "aria-current": s === "active" ? "step" : void 0,
      "aria-busy": s === "loading",
      "aria-disabled": s === "disabled",
      children: [
        /* @__PURE__ */ e.jsx(u, { variant: r, line: x, Icon: f, titleRef: n }),
        /* @__PURE__ */ e.jsxs(
          "div",
          {
            className: l(
              "flex flex-col gap-1 lg:gap-0.5",
              t ? ["ml-4 lg:ml-5", "order-1 text-left"] : ["mr-4 lg:mr-5", "-order-1 text-right"],
              p ? "mb-0" : "mb-4 lg:mb-4.5"
            ),
            children: [
              /* @__PURE__ */ e.jsxs(
                "div",
                {
                  className: l(
                    "relative",
                    "flex flex-row flex-wrap items-center gap-x-2 gap-y-1",
                    t ? "justify-start" : "justify-end"
                  ),
                  children: [
                    /* @__PURE__ */ e.jsx(
                      "h2",
                      {
                        className: l(
                          "text-klerosUIComponentsPrimaryText text-sm font-semibold",
                          t ? "order-1" : "order-2"
                        ),
                        "aria-label": `Timeline item title: ${a}`,
                        ref: n,
                        children: a
                      }
                    ),
                    typeof i == "string" ? /* @__PURE__ */ e.jsx(
                      "p",
                      {
                        className: l(
                          "text-sm font-normal break-words",
                          t ? "order-2" : "order-1",
                          {
                            "text-klerosUIComponentsSuccess": r === "accepted",
                            "text-klerosUIComponentsError": r === "refused",
                            "text-klerosUIComponentsPrimaryBlue": j(r)
                          }
                        ),
                        style: r && y.test(r) ? {
                          color: r
                        } : void 0,
                        "aria-label": `Timeline item party: ${i}`,
                        children: i
                      }
                    ) : /* @__PURE__ */ e.jsx(
                      "div",
                      {
                        className: l(
                          "inline-flex max-h-8 overflow-hidden",
                          t ? "order-2" : "order-1"
                        ),
                        "aria-label": "Timeline item party element",
                        children: i
                      }
                    )
                  ]
                }
              ),
              /* @__PURE__ */ e.jsx(
                "small",
                {
                  className: l(
                    "text-klerosUIComponentsSecondaryText text-xs break-words",
                    t ? "self-start" : "self-end"
                  ),
                  "aria-label": `Timeline item date: ${o}`,
                  children: o
                }
              )
            ]
          }
        )
      ]
    }
  );
};
export {
  I as default
};
